// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include <iostream>
#include "globals.hh"
#include "ActionHolder.hh"

ActionHolder::ActionHolder()
{
}

ActionHolder::~ActionHolder()
{
}

void
ActionHolder::add_action(string name, int available)
{
  if (verbose > 1)
    cout << "ActionHolder::add_action(" << name << ", " << available << ");" << endl;
  action[name] = available;
}

int
ActionHolder::get_available(string name)
{
  if (verbose > 1)
    cout << "ActionHolder::get_available: " << name << ":" << action[name] << endl;
  return action[name];
}

void
ActionHolder::action_used(string name)
{
  --action[name];
  if (verbose > 1)
    cout << name << ": " << action[name] << endl;
}

/* EOF */
