// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include "PingusResource.hh"

#include "globals.hh"
#include "Intro.hh"

Intro::Intro()
{
  if (music_enabled) { 
    music = CL_Streamed_MikModSample::create("../data/music/strut.it"); 
    sound = CL_Sample::create("../data/sounds/winlevel.wav", 0);
  }
}

Intro::~Intro()
{
  if (music_enabled) {
    delete ses_music;
  }
}

void
Intro::draw()
{
  int x_pos = CL_Display::get_width() / 2;
  int y_pos = 0;
  
  if (music_enabled) {
    ses_music = new CL_SoundBuffer_Session( music->prepare());
    ses_music->play();
  }

  logo = CL_Res_Surface::load("Game/logo_t", *PingusResource::get("global.dat"));
  
  for(y_pos = -logo->get_height()/2; y_pos < CL_Display::get_height() / 2 - 110; y_pos += 2) {
    CL_Display::fill_rect(0,0, CL_Display::get_width(), CL_Display::get_height(),
			  1.0, 1.0, 1.0, 1.0);
    logo->put_screen(x_pos - logo->get_width()/2,
		    y_pos - logo->get_height()/2);
    CL_Display::flip_display(true);
  }

  if (sound_enabled) {
    ses_sound = sound->play();
  }
  
  for(float i=1.0; i > 0.0; i -= 0.05) {
    CL_Display::fill_rect(0,0, CL_Display::get_width(), CL_Display::get_height(),
			  i, i, i, 1.0);
    logo->put_screen(x_pos - logo->get_width()/2,
		    y_pos - logo->get_height()/2);
    CL_Display::flip_display(true);
  }

  cout << "YSpo: " << y_pos - logo->get_height()/2 << endl;  
}

/* EOF */
