// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include <cassert>
#include "bridger.hh"

Bridger::Bridger()
{
}

PinguAction*
Bridger::create(void)
{
  return new Bridger();
}

void
Bridger::init(void)
{
  surface = CL_Res_Surface::load("Pingus/bridger", *local_res());
  brick   = CL_Res_Surface::load("Other/brick", *local_res());
  bricks = 45;

  counter.set_size(surface->get_no_sprs()/2);
  counter.set_speed(10);
  is_multi_direct = true;
  step = 0;
}

void
Bridger::let_move()
{
  if (bricks > 0) {
    --bricks;

    //    if (rel_getpixel(1,0) == ColMap::NOTHING) {
      pingu->colmap->put(brick, pingu->x_pos, pingu->y_pos);
      pingu->map->put(brick->get_provider(), pingu->x_pos, pingu->y_pos);
      
      pingu->x_pos += pingu->direction;
      
      if (step++) {
	pingu->y_pos -= 1;
	step = 0;
      }
      /*    } else {
      is_finished = true;
    }*/
  } else {
    is_finished = true;
  }
}

/* EOF */
